Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::ThreadTileOption Struct Reference

`#include <ThreadInfo.h>`

## Public Member Functions

bool | operator< (const ThreadTileOption &other) const
| ThreadTileOption ()=default
| ThreadTileOption (ThreadTileOption &&)=default
ThreadTileOption & | operator= (ThreadTileOption &&)=default
| ThreadTileOption (const ThreadTileOption &)=delete
ThreadTileOption & | operator= (const ThreadTileOption &)=delete

## Public Attributes

IntrusivePtr< const LoopNest > | loop_nest
double | max_idle_lane_wastage

## Detailed Description

Definition at line 25 of file ThreadInfo.h.

## Constructor & Destructor Documentation

## ThreadTileOption() [1/3]

Halide::Internal::Autoscheduler::ThreadTileOption::ThreadTileOption | ( |  | ) |

default

Referenced by operator<(), operator=(), operator=(), ThreadTileOption(), and ThreadTileOption().

## ThreadTileOption() [2/3]

Halide::Internal::Autoscheduler::ThreadTileOption::ThreadTileOption | ( | ThreadTileOption && |  | ) |

default

References ThreadTileOption().

## ThreadTileOption() [3/3]

Halide::Internal::Autoscheduler::ThreadTileOption::ThreadTileOption | ( | const ThreadTileOption & |  | ) |

delete

References ThreadTileOption().

## Member Function Documentation

## operator<()

bool Halide::Internal::Autoscheduler::ThreadTileOption::operator< | ( | const ThreadTileOption & | other | ) | const

inline

Definition at line 28 of file ThreadInfo.h.

References max_idle_lane_wastage, and ThreadTileOption().

## operator=() [1/2]

ThreadTileOption & Halide::Internal::Autoscheduler::ThreadTileOption::operator= | ( | ThreadTileOption && |  | ) |

default

References ThreadTileOption().

## operator=() [2/2]

ThreadTileOption & Halide::Internal::Autoscheduler::ThreadTileOption::operator= | ( | const ThreadTileOption & |  | ) |

delete

References ThreadTileOption().

## Member Data Documentation

## loop_nest

IntrusivePtr<const LoopNest> Halide::Internal::Autoscheduler::ThreadTileOption::loop_nest

Definition at line 26 of file ThreadInfo.h.

## max_idle_lane_wastage

double Halide::Internal::Autoscheduler::ThreadTileOption::max_idle_lane_wastage

Definition at line 27 of file ThreadInfo.h.

Referenced by operator<().

The documentation for this struct was generated from the following file:

- src/autoschedulers/anderson2021/ThreadInfo.h